require 'sinatra/base' 
class BrowserInspector < Sinatra::Base
  @@objs = []
  def self.add(obj) 
    @@objs << obj 
  end 
  get '/' do
    erb " 
      <% objs.reverse_each do |obj| %> 
        <%= Rack::Utils.escape_html obj.inspect %> 
        <hr> 
      <% end %> 
    ", :locals => {:objs => @@objs} 
  end 
end 
def browse(obj) 
  BrowserInspector.add(obj) 
  obj 
end 
Thread.new{ 
  BrowserInspector.run! :port => 1234 
} 
require 'irb'; IRB.start

