require 'sinatra'

get '/' do
  "Glitch<br><img src='/img?file=#{params[:file]}'>"
end

get '/img' do
  path = params[:file]
  content_type "image/#{File.extname(path)}"
  # Ruby 1.8の場合は「, encoding: "binary"」を省く
  File.read(path, encoding: "binary").each_byte.map{|b|
    if rand(3000) == 0 then 100 else b end
  }.pack("C*")
end
